1. agents
SkipCalls Public API
  • users
    • Get current user profile
    • Sync contacts from mobile device
    • Delete all contacts
    • Get all contacts
    • Update contact
    • Get a single contact with stats
    • Find duplicate contacts
    • Merge two duplicate contacts
    • Search contacts
    • Import contacts from CSV or JSON file
    • Get tag statistics for autocomplete
    • Advanced search in contacts by name, company, and tags
    • List notes for a customer (newest first)
    • Add a note to a customer
    • Get unified timeline for a customer
    • Update a customer note
    • Delete a customer note
    • Update custom fields on a customer
  • Calendars
    • List booked appointments
    • Get upcoming appointments for widget
    • Get appointment statistics
    • Get a single appointment
    • Hide/delete an appointment from the list
  • calls
    • Transcribe audio (for chat)
    • Schedule a new call
    • Cancel a scheduled call by ID
    • Get call details
    • Copy a call
    • Get call history
    • Search calls
    • Search outgoing calls only
    • Rate a call
    • Drop a call immediately by ID
    • Add call to favorites
    • Remove call from favorites
    • Update call notes
  • incoming-calls
    • Get incoming call history
    • Search incoming calls only
    • Get incoming call details
    • Delete an incoming call
    • Block the caller phone number from this incoming call
    • Unblock the caller phone number from this incoming call
    • Drop an incoming call immediately by ID
    • Add incoming call to favorites
    • Remove incoming call from favorites
  • agents
    • Create a new agent
      POST
    • Get all not deleted agents for the current user
      GET
    • Get all public agents
      GET
    • Get a specific agent by ID
      GET
    • Update an agent
      PATCH
    • Delete an agent
      DELETE
    • Toggle an agent active status
      PATCH
    • Reset an agent to dashboard defaults
      POST
    • Get agent change history
      GET
    • Create agent evaluation
      POST
    • Get agent evaluations
      GET
    • Update agent evaluation
      PATCH
    • Delete agent evaluation
      DELETE
    • Create agent data collection
      POST
    • Get agent data collections
      GET
    • Update agent data collection
      PATCH
    • Delete agent data collection
      DELETE
    • Connect calendar to agent
      POST
    • Get agent connected calendars
      GET
    • Duplicate an agent-calendar link (virtual calendar)
      POST
    • Update calendar settings
      PATCH
    • Disconnect calendar from agent
      DELETE
    • Create or update widget embed configuration
      POST
    • Get widget embed configuration
      GET
    • Disable widget embed
      DELETE
    • Regenerate embed key
      POST
    • Get all transfer numbers for an agent
      GET
    • Add a new transfer number to an agent
      POST
    • Update a transfer number
      PATCH
    • Delete a transfer number
      DELETE
    • List all tasks available to user (global + custom)
      GET
    • Create a custom task definition
      POST
    • Delete a custom task definition
      DELETE
    • List call scenarios for an agent
      GET
    • Create a call scenario for an agent
      POST
    • Reorder call scenarios for an agent
      PATCH
    • Update a call scenario
      PATCH
    • Delete a call scenario
      DELETE
    • List enabled tasks for an agent
      GET
    • Enable a task on an agent
      POST
    • Disable a task on an agent
      DELETE
  • email-receptionist
    • Get email receptionist settings for an agent
    • Create or update email receptionist settings for an agent
  • contact-actions
    • Schedule an outbound call to a contact
    • Send an SMS to a contact
  • Schemas
    • UserProfileSubscriptionDto
    • UserProfileResponseDto
    • UserTrialResponseDto
    • UserStatsResponseDto
    • UserPhoneResponseDto
    • GetUserProfileResponseDto
    • ContactDto
    • SyncContactsDto
    • BasicResponseDto
    • DeleteContactsDto
    • UpdateContactDto
    • ContactStatsDto
    • ContactLatestNoteDto
    • ContactItemResponseDto
    • MergeContactDataDto
    • MergeContactsDto
    • PaginationDto
    • ContactAggregationsDto
    • ContactSearchResponseDto
    • ImportContactsDto
    • ImportContactsResponseDto
    • TagStatDto
    • TagStatsResponseDto
    • AdvancedSearchDto
    • AddCustomerNoteDto
    • UpdateCustomerNoteDto
    • AppointmentAgentDto
    • AppointmentCalendarDto
    • AppointmentResponseDto
    • AppointmentsListResponseDto
    • AppointmentStatsDto
    • NumberAgentDto
    • NumberItemDto
    • TranscribeDto
    • TranscribeResponseDto
    • ScheduleCallDto
    • TransactionDto
    • RoleplayTranscriptMetadataDto
    • RoleplayTranscriptDto
    • SchemaFieldValidationsDto
    • CalculatedFieldDto
    • SchemaFieldDto
    • ToolDto
    • AgentToolDto
    • DataCollectionResultDto
    • DataCollectionResponseDto
    • EvaluationResultDto
    • EvaluationResponseDto
    • FlowStructureDto
    • AgentEmailAddressDto
    • AgentDto
    • VoiceMailMessagesDto
    • CallAnalysisDto
    • CallFollowUpDto
    • TaskDto
    • TaskResultDto
    • CallDto
    • BaseCallResponseDto
    • BaseUnsuccessfulCallResponseDto
    • CallSimpleResponseDto
    • CopyCallDto
    • CallHistoryResponseDto
    • SearchCallResultDto
    • SearchCallsResponseDto
    • RateCallDto
    • UpdateCallNotesDto
    • DataCollectionDto
    • EvaluationDto
    • CallBookingDto
    • IncomingCallDto
    • IncomingCallHistoryResponseDto
    • BlockCallerResponseDto
    • FlowStructure
    • CreateAgentDto
    • AgentValidationDto
    • UpdateAgentDto
    • AgentAuditLogEntryDto
    • AgentAuditHistoryResponseDto
    • CreateAgentEvaluationDto
    • UpdateAgentEvaluationDto
    • CreateAgentDataCollectionDto
    • UpdateAgentDataCollectionDto
    • CreateAgentCalendarDto
    • DuplicateAgentCalendarDto
    • UpdateAgentCalendarDto
    • CreateWidgetConfigDto
    • WidgetConfigResponseDto
    • CreateTransferNumberDto
    • TransferNumberResponseDto
    • UpdateTransferNumberDto
    • TaskDefinitionDto
    • CreateCustomTaskDto
    • AgentScenarioResponseDto
    • CreateAgentScenarioDto
    • ReorderAgentScenariosDto
    • UpdateAgentScenarioDto
    • AgentTaskLinkDto
    • EnableTaskDto
    • EmailReceptionistSettingsResponseDto
    • UpdateEmailReceptionistSettingsDto
    • ScheduleCallFromContactDto
    • SendSmsFromContactDto
  1. agents

Toggle an agent active status

PATCH
/agents/{id}/toggle
Flips the agent's isActive flag to quickly pause or resume it without losing configuration. Inactive agents don't receive calls. Use for off-hours pause, maintenance windows, or a single-click enable/disable control in the UI.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
The agent has been successfully toggled.
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/agents//toggle' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": "string",
    "name": "string",
    "description": "string",
    "avatar": "string",
    "isPublic": true,
    "isActive": true,
    "instructions": "string",
    "incomingCallInstructions": "string",
    "maxIncomingCallDurationMinutes": 0,
    "maxOutgoingCallDurationMinutes": 0,
    "gatheringInformationOnIncomingCall": true,
    "createdAt": "2019-08-24T14:15:22.123Z",
    "updatedAt": "2019-08-24T14:15:22.123Z",
    "deletedAt": "2019-08-24T14:15:22.123Z",
    "userId": "string",
    "tools": [
        {
            "agentId": "string",
            "toolId": "string",
            "createdAt": "2019-08-24T14:15:22.123Z",
            "tool": {
                "id": "string",
                "name": "string",
                "description": "string",
                "instruction": "string",
                "toolType": "HTTP",
                "url": "string",
                "method": "GET",
                "headers": {
                    "Authorization": "Bearer token123",
                    "Content-Type": "application/json"
                },
                "mcpServerUrl": "string",
                "mcpServerHeaders": {},
                "mcpServerName": "string",
                "mcpToolName": "string",
                "codeLanguage": "PYTHON",
                "codeSource": "string",
                "codeTestCases": {},
                "inputSchema": {
                    "name": "string",
                    "type": "string",
                    "description": "string",
                    "children": [
                        {
                            "name": "query",
                            "type": "string",
                            "description": "Search query",
                            "validations": {
                                "required": true,
                                "min": 1,
                                "max": 100
                            },
                            "label": "Search Query"
                        },
                        {
                            "name": "category",
                            "type": "enum",
                            "description": "Category filter",
                            "enumValues": [
                                "news",
                                "weather",
                                "sports"
                            ],
                            "validations": {
                                "required": false
                            }
                        }
                    ],
                    "enumValues": [
                        "string"
                    ],
                    "validations": {
                        "required": true,
                        "min": 0,
                        "max": 0,
                        "regex": "string",
                        "custom": "string",
                        "default": "string"
                    },
                    "label": "string",
                    "calculatedField": {
                        "dependencies": [
                            "string"
                        ],
                        "formula": "string"
                    }
                },
                "isActive": true,
                "createdAt": "2019-08-24T14:15:22.123Z",
                "updatedAt": "2019-08-24T14:15:22.123Z"
            }
        }
    ],
    "accessToKnowledge": true,
    "knowledgeAccessMode": "NONE",
    "knowledgeAccessTags": [
        "string"
    ],
    "allowFollowUps": true,
    "followUpInstructions": "string",
    "includePrivateData": true,
    "useBusinessProfile": true,
    "useDetachedReceptionistProfile": true,
    "receptionistPreferredName": "string",
    "receptionistCompanyName": "string",
    "receptionistCompanyWebsite": "string",
    "receptionistCompanyDescription": "string",
    "receptionistCompanyIndustry": "string",
    "receptionistAddress": "string",
    "receptionistCityName": "string",
    "receptionistStateName": "string",
    "receptionistZipCode": "string",
    "receptionistTimezone": "string",
    "voice": "string",
    "modelName": {},
    "allowCallTransfer": true,
    "callTransferNumber": "string",
    "transferHours": {
        "MONDAY": [
            900,
            1730
        ],
        "TUESDAY": [
            900,
            1730
        ],
        "WEDNESDAY": [
            900,
            1730
        ],
        "THURSDAY": [
            900,
            1730
        ],
        "FRIDAY": [
            900,
            1730
        ]
    },
    "firstMessage": "string",
    "allowOutboundGreetingInterruptions": false,
    "enableVoiceExpressions": true,
    "closingPhrase": "string",
    "delayAcceptSeconds": 0,
    "voiceRecognition": "EN",
    "temperature": 0,
    "dataCollections": [
        {
            "dataIdentifier": "string",
            "description": "string",
            "dataType": "STRING",
            "id": "string",
            "createdAt": "2019-08-24T14:15:22.123Z",
            "updatedAt": "2019-08-24T14:15:22.123Z",
            "agentId": "string",
            "results": [
                {
                    "id": "string",
                    "dataCollectionId": "string",
                    "callId": "string",
                    "createdAt": "2019-08-24T14:15:22.123Z",
                    "updatedAt": "2019-08-24T14:15:22.123Z",
                    "dataValue": {
                        "property1": "string",
                        "property2": "string"
                    }
                }
            ]
        }
    ],
    "evaluations": [
        {
            "name": "string",
            "prompt": "string",
            "id": "string",
            "createdAt": "2019-08-24T14:15:22.123Z",
            "updatedAt": "2019-08-24T14:15:22.123Z",
            "agentId": "string",
            "results": [
                {
                    "id": "string",
                    "callId": "string",
                    "evaluationId": "string",
                    "createdAt": "2019-08-24T14:15:22.123Z",
                    "updatedAt": "2019-08-24T14:15:22.123Z",
                    "type": "SUCCESS",
                    "rationale": "string"
                }
            ]
        }
    ],
    "welcomingVoiceMailMessageForContacts": "string",
    "welcomingVoiceMailMessageForOthers": "string",
    "isVoiceMailAgent": false,
    "outgoingCallFlow": {
        "nodes": [
            {}
        ],
        "edges": [
            {}
        ]
    },
    "incomingCallFlow": {
        "nodes": [
            {}
        ],
        "edges": [
            {}
        ]
    },
    "voiceSpeed": 0.5,
    "incomingCallTypingSound": true,
    "incomingCallBackgroundSound": true,
    "outgoingCallBackgroundSound": true,
    "outgoingCallTypingSound": true,
    "allowIncomingSms": false,
    "incomingSmsInstructions": "",
    "autoRespondToSms": true,
    "smsResponseDelay": 1,
    "useSmsIncomingCallFlow": false,
    "postCallSmsMessage": "string",
    "allowRealtimeSms": false,
    "phoneNumbers": [
        {
            "id": "string",
            "createdAt": "2021-01-01T00:00:00Z",
            "updatedAt": "2021-01-01T00:00:00Z",
            "phoneNumber": "+1234567890",
            "country": "US",
            "isActive": true,
            "agent": {
                "id": "string",
                "name": "string"
            },
            "agentId": "123",
            "direction": "INCOMING",
            "isSharedOutbound": false,
            "provider": "TWILIO",
            "source": "RENTED",
            "readyToRelease": false,
            "markedReadyToReleaseAt": "2019-08-24T14:15:22.123Z",
            "markToDeleteAt": "2019-08-24T14:15:22.123Z",
            "lastBilledAt": "2019-08-24T14:15:22.123Z",
            "monthlyCost": "1.15",
            "isTestNumber": false
        }
    ],
    "emailAddress": {
        "address": "string",
        "status": "ACTIVE"
    },
    "requireDataConsent": false,
    "dataConsentText": "string",
    "enablePostCallActions": false,
    "postCallActionInstructions": "string",
    "behaviorPreset": "default",
    "strictSpamFilter": false,
    "valuableCallRule": "string",
    "overrideCallerId": "string"
}
Modified at 2026-07-23 18:02:16
Previous
Delete an agent
Next
Reset an agent to dashboard defaults
Built with